<?php

namespace Tests\Unit;

use App\OracleBasSKU;
use Tests\TestCase;
use Illuminate\Foundation\Testing\WithFaker;
use Illuminate\Foundation\Testing\RefreshDatabase;

class FULXProcessTest extends TestCase
{
    /**
     * A basic unit test example.
     *
     * @return void
     */
    public function testOracleWMS(){
        $response=$this->postJson('/api/thirdPart/flux/process/getProcessContent',["wms_code"=>""]);
        $response->assertOk();
        $response->assertJson(['error'=>'提交的单据号为空']);
        $data=OracleBasSKU::limit(10)->get();
        $this->assertNotEmpty($data);
    }
}
